Index: tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java	(revision 1551)
+++ tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java	(revision 1552)
@@ -11,6 +11,7 @@
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
 import org.txm.chartsengine.rcp.swt.ChartComposite;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.logger.Log;
 
 
@@ -85,7 +86,7 @@
 	 * @param file the file to load
 	 */
 	public void loadRasterFile(File file) {
-		Log.info("Loading Raster image from file: " + file);
+		Log.info(TXMCoreMessages.bind("Loading Raster image from file: {0}...", file));
 		
 		this.file = file;
 		if(this.image != null)	{
@@ -95,7 +96,7 @@
 		ImageData imgData = new ImageData(file.getAbsolutePath());
 		this.image = new Image(Display.getCurrent(), imgData);
 		this.imageLabel.setImage(this.image);
-        this.imageLabel.setSize(  this.imageLabel.computeSize( SWT.DEFAULT, SWT.DEFAULT ));
+        this.imageLabel.setSize(this.imageLabel.computeSize(SWT.DEFAULT, SWT.DEFAULT));
 	}
 
 	
@@ -104,6 +105,7 @@
 	
 	@Override
 	public void requestFocusInComposite()	{
+		// FIXME: to check
 //		EventQueue.invokeLater(new Runnable () {
 //			public void run () {
 //				getPanel().requestFocusInWindow();
@@ -114,6 +116,7 @@
 	
 	@Override
 	public void loadChart()	{
+		// FIXME: to check
 		// Reload the file if exists
 //		if(this.file != null)	{
 //			this.loadSVGDocument(this.file);
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1551)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 1552)
@@ -586,7 +586,7 @@
 		if (cooc != null && !cooc.isDirty() && currentComparator != null) {
 
 			try {
-				Log.info(NLS.bind(CooccurrenceUIMessages.sortByColonP0, currentComparator.getName()));
+				Log.fine(NLS.bind(CooccurrenceUIMessages.sortByColonP0, currentComparator.getName()));
 
 				PlatformUI.getWorkbench().getProgressService().busyCursorWhile(new IRunnableWithProgress() {
 					@Override
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 1551)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 1552)
@@ -107,7 +107,7 @@
 			return;
 		}
 		if (!file.canWrite()) {
-			System.out.println("Error: "+ file +" cannot be written "); //$NON-NLS-1$ //$NON-NLS-2$
+			Log.severe("Error: "+ file +" cannot be written "); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		String devicename = device.getName();
 
Index: tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java
===================================================================
--- tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 1551)
+++ tmp/org.txm.libs.cqp/src/org/txm/libs/cqp/CQPLibPreferences.java	(revision 1552)
@@ -68,7 +68,7 @@
 		
 		String CQPFRAGMENT = "org.txm.libs.cqp."+System.getProperty("osgi.os");
 		//TODO: fix preferneces logic between org.txm.cqp.lib et org.txm.searchengine.cqp
-		Log.info("CQP.DoInstallStep.preInstall()");
+		Log.fine("CQP.DoInstallStep.preInstall()");
 		String saved = getString(CQPLibPreferences.VERSION);
 		Version currentVersion = BundleUtils.getBundleVersion(CQPFRAGMENT); // the CQPFRAGMENT plugin contains the right version
 		
@@ -106,7 +106,7 @@
 		String[] filenames = {"cqp","cqpserver","cwb-align","cwb-align-encode","cwb-decode","cwb-encode","cwb-makeall","libcqpjni.so"};
 		File execFile = new File(OSDir, "cqpserver"+ext);
 		if (!execFile.canExecute()) { // file rights need to be set
-			Log.info("Setting execution file rights to: "+OSDir.getAbsolutePath()+" files...");
+			Log.fine("Setting execution file rights to: "+OSDir.getAbsolutePath()+" files...");
 			//int ret = Runtime.getRuntime().exec("chmod -R +x '"+OSDir.getAbsolutePath()+"'").waitFor();
 			for (String filename : filenames) {
 				new File(OSDir, filename).setExecutable(true);
@@ -125,7 +125,7 @@
 		
 		if (!osname.contains("windows")) { 
 			try {
-				Log.info("Setting execution file rights to: "+OSDir.getAbsolutePath());
+				Log.fine("Setting execution file rights to: "+OSDir.getAbsolutePath());
 				Runtime.getRuntime().exec("chmod -R +x "+OSDir.getAbsolutePath()).waitFor();
 			} catch (Exception e) {
 				System.out.println("Error while setting execution file rights to: "+OSDir.getAbsolutePath());
@@ -141,13 +141,13 @@
 		if (saved != null && saved.length() > 0) {
 			Version savedVersion = new Version(saved);
 			if (currentVersion.compareTo(savedVersion) <= 0) {
-				Log.info("No post-installation of CQP to do");
+				Log.fine("No post-installation of CQP to do");
 				return; // nothing to do
 			}
 		}
-		Log.info("Updating CWB preferences for CQP version=" + currentVersion);
+		Log.fine("Updating CWB preferences for CQP version=" + currentVersion);
 	
-		Log.warning("SearchEngine preferences set with: "+OSDir.getAbsolutePath()+ ", "+initFile.getAbsolutePath()+ " and "+execFile.getAbsolutePath());
+		Log.fine("SearchEngine preferences set with: "+OSDir.getAbsolutePath()+ ", "+initFile.getAbsolutePath()+ " and "+execFile.getAbsolutePath());
 		put(CQPLibPreferences.VERSION, currentVersion.toString());
 	
 		put(CQI_SERVER_PATH_TO_CQPLIB, OSDir.getAbsolutePath());
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1551)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1552)
@@ -141,7 +141,7 @@
 //					Log.info("Save workspace"); //$NON-NLS-1$
 //					Toolbox.workspace.save();
 
-					Log.info("Restart Toolbox search engine"); //$NON-NLS-1$
+					Log.info("Restarting Toolbox search engine...");
 					//Toolbox.restartWorkspace(null);
 					Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 
@@ -155,13 +155,13 @@
 					//							IPath path = new Path(params.rootDir);
 					//							srcFolder.createLink(path, IResource.ALLOW_MISSING_LOCAL, monitor);
 				} else {
-					System.out.println("Error: import not correctly ended. See console messages.");
+					Log.severe("Error: import not correctly ended. See console messages.");
 //					if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 //					if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 					return new Status(Status.ERROR, "org.txm.groovy.core", "Import not correclty ended. See console messages.");
 				}
 			} else {
-				System.out.println("Error: import not correctly ended (no 'readyToLoad' binding found). See console messages.");
+				Log.severe("Error: import not correctly ended (no 'readyToLoad' binding found). See console messages.");
 				return new Status(Status.ERROR, "org.txm.groovy.core", "Import not correclty ended. See console messages.");
 			}
 		} catch (ThreadDeath td) {
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java	(revision 1551)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GSERunner.java	(revision 1552)
@@ -75,7 +75,7 @@
 
 		try {
 			defaultScriptRootDir = rootDir;
-			Log.info("GSE roots: "+Arrays.toString(roots));
+			Log.fine("GSE roots: "+Arrays.toString(roots));
 			defaultGSE = new GSERunner(roots);
 		} catch (IOException e) {
 			e.printStackTrace();
@@ -150,7 +150,7 @@
 			}
 		}
 
-		Log.info("Initializing TXMClassLoader with " + loaders.size() + " bundles.");
+		Log.fine("Initializing TXMClassLoader with " + loaders.size() + " bundles.");
 		return new TXMClassLoader(loaders);
 	}
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/clix/Sh.java
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/clix/Sh.java	(revision 1551)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/clix/Sh.java	(revision 1552)
@@ -151,14 +151,14 @@
 		try {
 			process = pb.start();
 		} catch (IOException e) {
-			Log.info(Log.toString(e));
+			Log.severe(Log.toString(e));
 		}
 		InputStream is = process.getInputStream();
 		InputStreamReader isr = new InputStreamReader(is);
 		BufferedReader br = new BufferedReader(isr);
 		String line;
 		while ((line = br.readLine()) != null) {
-			Log.info(line);
+			Log.fine(line);
 		}
 		int e = 0;
 		try {
@@ -168,7 +168,7 @@
 			e1.printStackTrace();
 		}
 		if (e != 0) {
-			Log.info("Process exited abnormally with code "
+			Log.fine("Process exited abnormally with code "
 					+ e
 					+ " at "
 					+ DateFormat.getDateInstance(DateFormat.FULL, Locale.UK)
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1551)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1552)
@@ -98,7 +98,7 @@
 						editionsToOpen[0] = editionNames.get(0);
 						Log.info(NLS.bind(EditionUIMessages.openingWithFirstEditionNoDefaultEditionSetColonP0, editionNames.get(0)));
 					} else { // no edition in the corpus
-						Log.info(EditionUIMessages.noEditionToOpen);
+						Log.warning(EditionUIMessages.noEditionToOpen);
 						editionsToOpen = new String[0];
 						return false;
 					}
@@ -111,11 +111,11 @@
 				//				if (editor != null)
 				//					editor.firstPage();
 			} catch (Exception e) {
-				System.out.println(NLS.bind(EditionUIMessages.errorWhileOpeningEditionColonP0, e));
+				Log.severe(NLS.bind(EditionUIMessages.errorWhileOpeningEditionColonP0, e));
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		} else {
-			System.out.println(EditionUIMessages.abortingColonSelectionIsNotACorpus);
+			Log.warning(EditionUIMessages.abortingColonSelectionIsNotACorpus);
 		}
 		return null;
 	}
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1551)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1552)
@@ -240,7 +240,7 @@
 				return false;
 			}
 
-			Log.info("Loading line informations..."); //$NON-NLS-1$
+			Log.info("Loading line informations...");
 
 			SynopticEditionEditor attachedBrowserEditor = associatedEditors.get(editor);
 			if (attachedBrowserEditor!= null && attachedBrowserEditor.isDisposed()) {
@@ -295,14 +295,13 @@
 				org.txm.rcp.utils.Logger.printStackTrace(e1);
 				return false;
 			}
-			Log.info(NLS.bind("Project id {0} Corpus (Base) id {1} Text id {2}",  //$NON-NLS-1$
+			Log.fine(NLS.bind("Project id {0} Corpus (Base) id {1} Text id {2}",  //$NON-NLS-1$
 					new Object[]{projectid, baseid, textid}));
 
 			otherWordIDs.removeAll(lineids); // remove the pivot from others words 
 
 			Text text = corpus.getProject().getText(textid);
 			if (text == null) {
-				System.out.println(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
 				StatusLine.setMessage(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
 				Log.severe(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
 				return false;
@@ -310,7 +309,7 @@
 
 			String line_wordid = lineids.get(0);
 			if (line_wordid == null) {
-				System.out.println(EditionUIMessages.errorColonCouldNotRetrieveLineWordIdsAbortingBackToText);
+				Log.severe(EditionUIMessages.errorColonCouldNotRetrieveLineWordIdsAbortingBackToText);
 				return false;				
 			}
 
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1551)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1552)
@@ -246,11 +246,11 @@
 			Bundle bundle = Platform.getBundle("org.txm.edition.rcp"); //$NON-NLS-1$
 			URL fileURL = bundle.getEntry("res/js/functions.js"); //$NON-NLS-1$
 			URL r = FileLocator.resolve(fileURL);
-			Log.info("Load JS functions from: "+r);
+			Log.fine("Load JS functions from: "+r);
 			functions = IOUtils.getText(r, "UTF-8"); //$NON-NLS-1$
 
 		} catch (Exception e) {
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.error_while_reading, functionsFile, e.getLocalizedMessage()));
+			Log.severe(EditionUIMessages.bind(EditionUIMessages.error_while_reading, functionsFile, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 
@@ -891,7 +891,7 @@
 
 		Object ret = evaluate(SCRIPT02_getspans);
 		if (ret instanceof Object[]) {
-			Log.info("selection word ids="+Arrays.toString((Object[])ret)); //$NON-NLS-1$
+			Log.fine("selection word ids="+Arrays.toString((Object[])ret)); //$NON-NLS-1$
 			Object[] array = (Object[])ret;
 			String[] sel = new String[2];
 			if (array.length == 0) {
@@ -905,7 +905,7 @@
 				return sel;
 			}
 		} else { 
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.sCRIPTRETURNEDEqualsP0, ret));
+			Log.severe(EditionUIMessages.bind(EditionUIMessages.sCRIPTRETURNEDEqualsP0, ret));
 			return null;
 		}
 	}
@@ -1099,7 +1099,7 @@
 	}
 
 	public void setHighlightedArea(HashSet<int[]> positions) {
-		Log.info("Highlight area: not implemented");
+		Log.severe("Highlight area: not implemented");
 	}
 
 	public void expandSelectionTo(String[] ids) {
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 1551)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 1552)
@@ -398,7 +398,7 @@
 
 		this.acquireSemaphore();
 
-		Log.info("Cutting Tmax="+pVmaxFilter);
+		Log.fine("Cutting Tmax="+pVmaxFilter);
 		// assume the lines are sorted
 		//int before = lines.size();
 		this.lines = this.lines.subList(0, Math.min(lines.size(), pVmaxFilter));
@@ -436,7 +436,7 @@
 			return;
 		}
 
-		Log.info("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
+		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
 
 		for (int i = 0; i < lines.size(); i++) { // for each line
 
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1551)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 1552)
@@ -401,7 +401,7 @@
 
 		this.acquireSemaphore();
 
-		Log.info("Cutting Tmax="+pVmaxFilter);
+		Log.fine("Cutting Tmax="+pVmaxFilter);
 		// assume the lines are sorted
 		//int before = lines.size();
 		this.lines = this.lines.subList(0, Math.min(lines.size(), pVmaxFilter));
@@ -439,7 +439,7 @@
 			return;
 		}
 
-		Log.info("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
+		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
 
 		for (int i = 0; i < lines.size(); i++) { // for each line
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1551)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1552)
@@ -82,7 +82,6 @@
 			IWorkbenchWindow window = TXMWindows.getActiveWindow();
 			List<PartitionIndex> vocabularies = ((IStructuredSelection) HandlerUtil.getCurrentSelection(event)).toList();
 			
-			Log.info(LexicalTableUIMessages.openingMargeConfigurationDialog);
 			ArrayList<String> choices = new ArrayList<String>();
 			choices.add(LexicalTableUIMessages.useAllOccurrences);
 			choices.add(LexicalTableUIMessages.userIndexOccurrences);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1551)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1552)
@@ -267,7 +267,7 @@
 							}
 							String newname = d.getMergeName();
 
-							Log.info(NLS.bind(LexicalTableUIMessages.mergeColsColonP0, colindices));
+							Log.fine(NLS.bind(LexicalTableUIMessages.mergeColsColonP0, colindices));
 							
 							double[] firstcol = cols.get(colindices.get(0));
 
@@ -312,7 +312,7 @@
 						}
 						// delete
 						else {
-							Log.info(NLS.bind(LexicalTableUIMessages.deleteColsColonP0, colindices));
+							Log.fine(NLS.bind(LexicalTableUIMessages.deleteColsColonP0, colindices));
 							
 							lexicalTable.getData().removeCols(colindices);
 							lexicalTable.setAltered();
Index: tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java
===================================================================
--- tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java	(revision 1551)
+++ tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java	(revision 1552)
@@ -27,14 +27,14 @@
 	
 	public void install() { // after the Toolbox is initialized
 		
-		Log.info("Metopes.DoInstallStep.install()");
+		Log.fine("Metopes.DoInstallStep.install()");
 		String saved = MetopesPreferences.getInstance().getString(MetopesPreferences.VERSION);
 		Version currentVersion = BundleUtils.getBundleVersion("org.txm.imports.metopes");
 		
 		if (saved != null && saved.length() > 0) {
 			Version savedVersion = new Version(saved);
 			if (currentVersion.compareTo(savedVersion) <= 0) {
-				Log.info("No post-installation of Metopes to do");
+				Log.fine("No post-installation of Metopes to do");
 				//System.out.println("No post-installation of Metopes to do");
 				return; // nothing to do
 			}
@@ -44,25 +44,25 @@
 		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro");
 		macroDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "src", "org/txm/macro/", "metopes", macroDirectory)) {
-			System.out.println("Error while coping Metopes org/txm/macro/metopes in "+macroDirectory.getAbsolutePath());
+			Log.severe("Error while coping Metopes org/txm/macro/metopes in "+macroDirectory.getAbsolutePath());
 			return;
 		}
 		
 		File importDirectory = new File(Toolbox.getTxmHomePath(), "scripts/import");
 		importDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "src", "org/txm/importer/metopes", "metopesLoader.groovy", importDirectory)) {
-			System.out.println("Error while coping Metopes org/txm/importer/metopes in "+importDirectory.getAbsolutePath());
+			Log.severe("Error while coping Metopes org/txm/importer/metopes in "+importDirectory.getAbsolutePath());
 			return;
 		}
 		
 		File xslDirectory = new File(Toolbox.getTxmHomePath(), "xsl");
 		xslDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "res", "org/txm/xml/xsl", "metopes", xslDirectory)) {
-			System.out.println("Error while coping Metopes org/txm/xml/xsl/metopes in "+xslDirectory.getAbsolutePath());
+			Log.severe("Error while coping Metopes org/txm/xml/xsl/metopes in "+xslDirectory.getAbsolutePath());
 			return;
 		}
 		
-		Log.warning("Metopes post-installation done.");
+		Log.info("Metopes post-installation done.");
 		MetopesPreferences.getInstance().put(MetopesPreferences.VERSION, currentVersion.toString());
 		return;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1552)
@@ -153,11 +153,11 @@
 					System.out.println("Executing text selection..."); //$NON-NLS-1$
 					long time = System.currentTimeMillis();
 					shell.evaluate(text);
-					Log.info(NLS.bind(TXMUIMessages.doneP0Ms, (System.currentTimeMillis() - time)));
+					Log.fine(NLS.bind(TXMUIMessages.doneP0Ms, (System.currentTimeMillis() - time)));
 				} catch (ThreadDeath td) { 
 					return Status.CANCEL_STATUS;
 				} catch (CompilationFailedException e) {
-					System.err.println(e);
+					Log.severe(e);
 				} catch (Exception e) {
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 1552)
@@ -204,7 +204,7 @@
 	 * @return
 	 */
 	public static boolean getImportScriptFromToolboxPlugin(File script) {
-		Log.info("Retriving "+script+" from Toolbox plugin if script.date < toolbox_script.date");
+		Log.fine("Retriving "+script+" from Toolbox plugin if script.date < toolbox_script.date...");
 
 		// retrieve the script relative path "quickLoader" -> "quick"
 		String scriptPackage = script.getName();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 1552)
@@ -97,7 +97,7 @@
 			Log.severe("BaseAbstractHandler.getCorporaViewSelectedObject(): current selection is null.");
 		}
 		
-		Log.info("BaseAbstractHandler.getCorporaViewSelectedObject(): selected object = " + o);
+		Log.fine("BaseAbstractHandler.getCorporaViewSelectedObject(): selected object = " + o);
 		
 		return o;
 	}
@@ -181,7 +181,7 @@
 	 */
 	public static void executeCommand(String commandId, String resultUUID,  Map<String,String> params) {
 		
-		Log.info("BaseAbstractHandler.executeCommand(): calling command " + commandId + ".");
+		Log.fine("BaseAbstractHandler.executeCommand(): calling command " + commandId + ".");
 		
 		
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
@@ -191,7 +191,7 @@
 		
 		// Redefine the command supported parameters, without that each command must define the parameter "result_parameters_node_path" in each plugin.xml...
 		if(resultUUID != null)	{
-			Log.info("BaseAbstractHandler.executeCommand(): preparing the send of result UUID: " + resultUUID + ".");
+			Log.fine("BaseAbstractHandler.executeCommand(): preparing the send of result UUID: " + resultUUID + ".");
 			try {
 				IParameter[] parameters = new IParameter[]{ new IParameter() {
 					
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/results/DeleteObject.java	(revision 1552)
@@ -176,7 +176,7 @@
 				// remove results already deleted
 				objects.removeAll(deleted);
 			} catch(Exception e) {
-				Log.info(NLS.bind(TXMUIMessages.errorWhileDeletingP0ColonP1, o, e)); 
+				Log.severe(NLS.bind(TXMUIMessages.errorWhileDeletingP0ColonP1, o, e)); 
 				StatusLine.error(NLS.bind(TXMUIMessages.errorWhileDeletingP0ColonP1, o, e)); 
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 				return new HashSet<Object>();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 1551)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/FixUpdateHandler.java	(revision 1552)
@@ -67,6 +67,6 @@
 		// this is the default repository
 		//TXMUpdateHandler.addDefaultUpdateSites(agent);
 
-		Log.info(TXMUIMessages.readyToShowUpdateUI);
+		Log.fine(TXMUIMessages.readyToShowUpdateUI);
 	}
 }
\ No newline at end of file
